%define version 4.0.0
%define rev     754574
%define rel 	1
%define release %mkrel 3
%define oname kaider

%define unstable 0
%{?_with_unstable: %global unstable 1}

%if %unstable
%define dont_strip 1
%endif

Summary:	Computer-aided translation system that focuses on productivity and performance
Name:		kde4-lokalize
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:		http://techbase.kde.org/index.php?title=Projects/Summer_of_Code/2007/Projects/KAider
Group:		Graphical desktop/KDE
Source0:	%{oname}-%version.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs4-devel
Requires:	gettext >= 0.14.1
Obsoletes:	kaider < %version-%release
Provides:	kaider = %version-%release

%description
Lokalize is a computer-aided translation system that focuses on
productivity and performance. Translator does only creative work
(of delivering message in his/her mother language in laconic and
easy to understand form). Lokalize implies parapgraph-by-paragrah
translation approach (when translating documentation) and
message-by-message approach (when translating GUI).

%post
%{update_desktop_database}
%update_icon_cache hicolor
%update_icon_cache locolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%clean_icon_cache locolor

%files -f %oname.lang
%defattr(-,root,root)
%doc DESIGN TODO
%{_kde_bindir}/%{oname}
%{_kde_libdir}/strigi/strigila_po.so
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/apps/%{oname}
%{_kde_datadir}/config.kcfg/*.kcfg
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/strigi/fieldproperties/strigi_translation.fieldproperties

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
cd build
%{makeinstall_std}
cd -

%find_lang %oname --with-html

%clean
rm -rf %buildroot


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.0.0-3mdv2008.1
+ Revision: 170918
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 4.0.0-2mdv2008.1
+ Revision: 158842
- kaider has been renamed to lokalize

* Thu Jan 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.0-1mdv2008.1
+ Revision: 157344
- Update to 4.0.0 version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - fix URL

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 0.1-0.svn754574.1mdv2008.1
+ Revision: 139513
- New svn snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1-0.svn743787.1mdv2008.1
+ Revision: 114355
- New snapshot

  + Funda Wang <fundawang@mandriva.org>
    - Fix building
    - drop desktop-file-utils BR
    - New svn snapshot

* Sun Nov 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1-0.svn735036.2mdv2008.1
+ Revision: 109911
- Rebuild against new KDE4

* Sat Nov 10 2007 Funda Wang <fundawang@mandriva.org> 0.1-0.svn735036.1mdv2008.1
+ Revision: 107448
- First package
- Created package structure for kaider.

